> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Modèles du catalogue d’inférence

> Renvoie une liste des modèles Serverless Inference disponibles.

Cette API est disponible sans authentification.



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json get /inference/catalog/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/catalog/models:
    get:
      tags:
        - Inference
      summary: Modèles du catalogue d’inférence
      description: |-
        Renvoie une liste des modèles Serverless Inference disponibles.

        Cette API est disponible sans authentification.
      operationId: inference_catalog_models_inference_catalog_models_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogModelsRes'
          description: Réponse réussie
components:
  schemas:
    CatalogModelsRes:
      properties:
        models:
          items:
            $ref: '#/components/schemas/LLMModelDetails'
          title: Models
          type: array
      required:
        - models
      title: CatalogModelsRes
      type: object
    LLMModelDetails:
      properties:
        apiStyle:
          title: Apistyle
          type: string
        availableIn:
          items:
            enum:
              - cw-prod
              - cw-qa
            type: string
          title: Availablein
          type: array
        contextWindow:
          title: Contextwindow
          type: integer
        descriptionMedium:
          title: Descriptionmedium
          type: string
        descriptionShort:
          title: Descriptionshort
          type: string
        downloadsHuggingFace:
          title: Downloadshuggingface
          type: integer
        featureJsonMode:
          title: Featurejsonmode
          type: boolean
        featureLoRA:
          title: Featurelora
          type: boolean
        featureReasoning:
          title: Featurereasoning
          type: boolean
        featureStructuredOutput:
          title: Featurestructuredoutput
          type: boolean
        featureToolCalling:
          title: Featuretoolcalling
          type: boolean
        featureTrainableServerlessRL:
          title: Featuretrainableserverlessrl
          type: boolean
        id:
          title: Id
          type: string
        idHuggingFace:
          title: Idhuggingface
          type: string
        idPlayground:
          title: Idplayground
          type: string
        isAvailableOpenRouter:
          title: Isavailableopenrouter
          type: boolean
        label:
          title: Label
          type: string
        labelOpenRouter:
          title: Labelopenrouter
          type: string
        launchDate:
          title: Launchdate
          type: string
        launchedQuarter:
          title: Launchedquarter
          type: string
        license:
          title: License
          type: string
        lifecycleStage:
          enum:
            - general-availability
            - experimental
            - retired
          title: Lifecyclestage
          type: string
        likesHuggingFace:
          title: Likeshuggingface
          type: integer
        modalities:
          items:
            type: string
          title: Modalities
          type: array
        modalitiesInput:
          items:
            type: string
          title: Modalitiesinput
          type: array
        modalitiesOutput:
          items:
            type: string
          title: Modalitiesoutput
          type: array
        parameterCountActive:
          title: Parametercountactive
          type: integer
        parameterCountTotal:
          title: Parametercounttotal
          type: integer
        priceCentsPerBillionTokensCached:
          title: Pricecentsperbilliontokenscached
          type: integer
        priceCentsPerBillionTokensInput:
          title: Pricecentsperbilliontokensinput
          type: integer
        priceCentsPerBillionTokensOutput:
          title: Pricecentsperbilliontokensoutput
          type: integer
        provider:
          title: Provider
          type: string
        quantization:
          enum:
            - int4
            - int8
            - fp4
            - fp6
            - fp8
            - fp16
            - bf16
            - fp32
          title: Quantization
          type: string
        status:
          title: Status
          type: string
        tags:
          items:
            type: string
          title: Tags
          type: array
      required:
        - provider
        - id
        - idPlayground
        - idHuggingFace
        - label
        - labelOpenRouter
        - status
        - lifecycleStage
        - availableIn
        - launchedQuarter
        - descriptionShort
        - descriptionMedium
        - launchDate
        - featureReasoning
        - featureJsonMode
        - featureStructuredOutput
        - featureToolCalling
        - featureLoRA
        - featureTrainableServerlessRL
        - parameterCountTotal
        - contextWindow
        - quantization
        - priceCentsPerBillionTokensInput
        - priceCentsPerBillionTokensCached
        - priceCentsPerBillionTokensOutput
        - isAvailableOpenRouter
        - apiStyle
        - modalities
        - modalitiesInput
        - modalitiesOutput
        - tags
        - likesHuggingFace
        - downloadsHuggingFace
        - license
      title: LLMModelDetails
      type: object

````